creditchecks_post
curl --request POST \
--url https://checkout.dintero.com/v1/creditchecks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credit_providers": [
"collector"
],
"amount": 10000,
"currency": "NOK",
"applicant": {
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
}
}
}
'import requests
url = "https://checkout.dintero.com/v1/creditchecks"
payload = {
"credit_providers": ["collector"],
"amount": 10000,
"currency": "NOK",
"applicant": { "billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credit_providers: ['collector'],
amount: 10000,
currency: 'NOK',
applicant: {
billing_address: {
first_name: 'John',
last_name: 'Doe',
address_line: '<string>',
address_line_2: '<string>',
co_address: 'Land Lord',
business_name: '<string>',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
latitude: 123,
longitude: 123,
comment: '<string>',
organization_number: '<string>',
organization_type: '<string>',
customer_reference: '<string>',
cost_center: '<string>'
}
}
})
};
fetch('https://checkout.dintero.com/v1/creditchecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/creditchecks"
payload := strings.NewReader("{\n \"credit_providers\": [\n \"collector\"\n ],\n \"amount\": 10000,\n \"currency\": \"NOK\",\n \"applicant\": {\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/creditchecks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credit_providers\": [\n \"collector\"\n ],\n \"amount\": 10000,\n \"currency\": \"NOK\",\n \"applicant\": {\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n }\n }\n}")
.asString();{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-12-25",
"amount": 123,
"results": [
{
"credit_provider": "collector"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}creditchecks
Perform a credit check
Perform a credit check
scopes:
- admin:checkout
- write:checkout
POST
https://checkout.dintero.com/v1
/
creditchecks
creditchecks_post
curl --request POST \
--url https://checkout.dintero.com/v1/creditchecks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credit_providers": [
"collector"
],
"amount": 10000,
"currency": "NOK",
"applicant": {
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
}
}
}
'import requests
url = "https://checkout.dintero.com/v1/creditchecks"
payload = {
"credit_providers": ["collector"],
"amount": 10000,
"currency": "NOK",
"applicant": { "billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credit_providers: ['collector'],
amount: 10000,
currency: 'NOK',
applicant: {
billing_address: {
first_name: 'John',
last_name: 'Doe',
address_line: '<string>',
address_line_2: '<string>',
co_address: 'Land Lord',
business_name: '<string>',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
latitude: 123,
longitude: 123,
comment: '<string>',
organization_number: '<string>',
organization_type: '<string>',
customer_reference: '<string>',
cost_center: '<string>'
}
}
})
};
fetch('https://checkout.dintero.com/v1/creditchecks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/creditchecks"
payload := strings.NewReader("{\n \"credit_providers\": [\n \"collector\"\n ],\n \"amount\": 10000,\n \"currency\": \"NOK\",\n \"applicant\": {\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/creditchecks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credit_providers\": [\n \"collector\"\n ],\n \"amount\": 10000,\n \"currency\": \"NOK\",\n \"applicant\": {\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n }\n }\n}")
.asString();{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-12-25",
"amount": 123,
"results": [
{
"credit_provider": "collector"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
JWTapikey
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
Body
application/json
Available options:
collector reward amount for the the ref used, monetary amount in smallest unit for the currency
Example:
10000
The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217
Example:
"NOK"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- synchronous - (default) the answer will come directly in the response
Available options:
synchronous Last modified on July 9, 2026
⌘I